<?php
/* Better aMember invoicing by Tomas France - tomfra@centrum.cz */

$rd = dirname(__FILE__);
include($rd.'/config.inc.php');


###############################################################################
##
##                             M  A  I  N
##
###############################################################################
$t = & new_smarty();
$error = '';
$vars = & get_input_vars();

$_GET['payment_id'] = $_GET['id'];

// First some security... \\

$amember_user_login = $_SESSION['_amember_user']['login'];
$payment_record_r = $db->get_payment($_GET['id']);

if ( !$amember_user_login or ($amember_user_login != $payment_record_r['member_login']) )
{
  $t->assign('error', $error);
  $error_msg = 'You can not view this invoice because you are not logged in or the invoice does not belong to you.';
  #fatal_error($error_msg);
  exit($error_msg);
}

$parsed_root_url_r = parse_url($config['root_url']);

if (!$_SERVER['HTTPS']) { $root_dir_url = 'http://'.$parsed_root_url_r['host']; }
else { $root_dir_url = 'https://'.$parsed_root_url_r['host']; }

if (!$vars['payment_id']) $vars['payment_id'] = $_GET['payment_id'];
if (!$vars['payment_id']) $vars['payment_id'] = $_SESSION['_amember_payment_id'];

if ($vars['payment_id']){
    $pm = $db->get_payment($vars['payment_id']);
    $t->assign('payment', $pm);

    if ($pm) {
        $t->assign('product', $db->get_product($pm['product_id']));
        $t->assign('member', $db->get_user($pm['member_id']));
    }
    if (!($prices = $pm['data'][0]['BASKET_PRICES'])){
        $prices = array($pm['product_id'] => $pm['amount']);
    }
    $pr = array();
    $subtotal = 0;
    foreach ($prices as $product_id => $price){
        $v  = $db->get_product($product_id);
//        $v['price'] = $price;
        $subtotal += $v['price'];
        $pr[$product_id] = $v;
    }
    $t->assign('subtotal', $subtotal);
    $t->assign('total', array_sum($prices));
    $t->assign('products', $pr);
    $t->assign('total_with_vat', sprintf("%.2f",  array_sum($prices) + $pm['tax_amount']));
    $t->assign('root_dir_url', $root_dir_url);
}


if ($_GET['format'] == 'pdf')
{
  require_once($_SERVER['DOCUMENT_ROOT'].'/dompdf/dompdf_config.inc.php');
  $html = $t->fetch("invoice.html");
  // The only reliable way to print the EURo symbol () correctly: \\
  $html = str_replace('&euro;', '&#0128;', $html);
  $dompdf = new DOMPDF();
  $dompdf->load_html($html);
  $dompdf->render();
  $dompdf->stream('invoice_'.$vars['payment_id'].'.pdf');
}
else
{
  $t->display("invoice.html");
}





?>